export def configurations []: [
    nothing -> table<record<name: string active: bool account: string zone: string region: string>>
] {
    gcloud config configurations list
    | detect columns
    | rename name active account project zone region
    | each { update active { $in == True } }
}

# get the current project as defined gcloud
export def "current project" []: nothing -> string {
    gcloud config list --format="value(core.project)"
}
